List of timesheets by contract

Retrieve a list of timesheets found for a contract. Token scopes: timesheets:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Query parameters

contract_typeslist of enums or enumOptional
Types of contracts to filter.
statuseslist of enums or enumOptional
Statuses of timesheets to filter.
reporter_idstringOptionalformat: "uuid"
ID of an existing profile
date_fromstringOptionalformat: "date"

Filtered results will include records created on or after the provided date. Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

date_tostringOptionalformat: "date"

Filtered results will include records created before the provided date. Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

limitstringOptional

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

offsetstringOptional
Return a page of results after given index of row

Response

Successful operation.
datalist of objects
pageobject
This object is used for pagination.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error